"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const jwt_decode_1 = (0, tslib_1.__importDefault)(require("jwt-decode"));
class UserSession {
    constructor() {
        this.session = null;
        this.claims = null;
    }
    setSession(session) {
        this.session = session;
        const jwtTokenDecoded = (0, jwt_decode_1.default)(session.jwt_token);
        this.claims = jwtTokenDecoded["https://hasura.io/jwt/claims"];
    }
    clearSession() {
        this.session = null;
        this.claims = null;
    }
    getSession() {
        return this.session;
    }
    getClaim(claim) {
        if (this.claims) {
            return this.claims[claim];
        }
        else {
            return null;
        }
    }
}
exports.default = UserSession;
//# sourceMappingURL=UserSession.js.map